> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant Silo Config

> Updates tenant silo config



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/silo/siloConfig
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/silo/siloConfig:
    post:
      tags:
        - InventorySilo
      summary: Update Tenant Silo Config
      description: Updates tenant silo config
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/UpdateTenantSiloConfigRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSiloConfigModel'
          description: Success
        '400':
          description: Bad Request
components:
  requestBodies:
    UpdateTenantSiloConfigRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateTenantSiloConfigRequest'
      description: Request to create tenant silo config
      required: true
  schemas:
    TenantSiloConfigModel:
      description: Model of a tenant silo config.
      properties:
        additonalTenantsAllowed:
          description: 'Check whether theAdditional tenants allowed or not '
          type: boolean
        batchWorkers:
          description: Number of Batch Workers to run for this tenant.
          type: integer
        description:
          description: Description of silo configuration
          type: string
        eventSenderWorkers:
          description: Number of Event Sender Workers to run for this tenant.
          type: integer
        name:
          description: Name of the Silo
          type: string
        siloID:
          description: A Silo ID
          type: integer
        tenantID:
          description: A Tenant ID
          type: integer
        usable:
          description: Whether the  silo config is usable or not
          type: boolean
      title: Tenant Silo Config Model
      type: object
    UpdateTenantSiloConfigRequest:
      description: Request for creating or updating tenant silo config.
      properties:
        batchWorkers:
          description: Number of batch workers to run for this tenant.
          type: integer
        eventSenderWorkers:
          description: Number of event sender workers to run for this tenant.
          type: integer
        tenantID:
          description: A Tenant ID
          type: integer
      title: Create Tenant Silo Config Request
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````